Subject: bug#24873: 26.0.50; isearch-query-replace from regexp isearch doesn't add to replace-regexp history list

From: Richard Copley <[email-masked]>
Date: Fri, 4 Nov 2016 21:16:57 +0000

On 4 November 2016 at 20:53, Mark Oteiza <[email-masked]> wrote:
> On 04/11/16 at 08:59pm, Stephen Berman wrote:
>> On Fri, 4 Nov 2016 15:35:13 -0400 Mark Oteiza <[email-masked]> wrote:
>>
>> > On 04/11/16 at 07:03pm, Richard Copley wrote:
>> >> On 4 November 2016 at 11:16, Richard Copley <[email-masked]> wrote:
>> >> > On 4 Nov 2016 11:02, "Eli Zaretskii" <[email-masked]> wrote:
>> >> >>
>> >> >> > From: Richard Copley <[email-masked]>
>> >> >> > Date: Fri, 4 Nov 2016 10:54:00 +0000
>> >> >> >
>> >> >> > The bug was introduced in the master branch between these two revisions
>> >> >> > (not tight bounds, just builds I have lying around):
>> >> >> >
>> >> >> > GOOD:
>> >> >> > commit 7fa96cb5ef8c8464496688e88c1b97211a820d79
>> >> >> > Author: Paul Eggert <[email-masked]>
>> >> >> > Date:   Sat Sep 17 15:06:24 2016 -0700
>> >> >> >
>> >> >> > BAD:
>> >> >> > commit 9640e9f4e95cd95c04875e90a4ff638e1e51f977
>> >> >> > Author: Tino Calancha <[email-masked]>
>> >> >> > Date:   Tue Oct 11 11:47:32 2016 +0900
>> >> >>
>> >> >> Is this the result of turning on lexical-binding in iserach.el?
>> >> >
>> >> > Thanks, I'll check, but I can't do it now. In about 8 hours unless someone
>> >> > beats me to it.
>> >>
>> >> Yep, you nailed it.
>> >
>> > This was fixed already--your recipe works as expected for me. See bug#24580
>>
>> My build contains the commit referenced in bug#24580 as fixing it, but I
>> can still reproduce the problem with the OP's recipe (i.e. with -Q).
>
> Sorry if I jumped the gun closing.
>
> I'm on 2955936 (master HEAD at the moment) and can't reproduce.

I can reproduce the issue with the given recipe in that revision.

To summarize, here are the test results stated so far in this thread,
plus a few more that I'm stating now, in chronological order:

Good [RC] (before lexical binding in isearch.el):
commit 329e0274ec6a4ae82f86905b8cf844971b943085
Author: Mark Oteiza <[email-masked]>
Date:   Tue Sep 27 13:34:29 2016 -0400

Bad [RC] (turn on lexical binding in isearch.el)
commit cbb2e845187bfbcc62e2accc9df7891a2326608a
Author: Mark Oteiza <[email-masked]>
Date:   Wed Sep 28 13:08:12 2016 -0400

Good?? [MO] (this is the revision mentioned in #24580)
commit 6d6c93f4cc02d5c03b2f0ec9e565d61a50677e14
Author: Mark Oteiza <[email-masked]>
Date:   Tue Oct 4 10:17:53 2016 -0400

Bad [SB] (unspecified, but containing the above).

>> >> >> > BAD [RC]:
>> >> >> > commit 9640e9f4e95cd95c04875e90a4ff638e1e51f977
>> >> >> > Author: Tino Calancha <[email-masked]>
>> >> >> > Date:   Tue Oct 11 11:47:32 2016 +0900

Good [MO], Bad [RC]:
commit 29559361f56c9398dcb69db7396dcfc0887843a2
Author: Mark Oteiza <[email-masked]>
Date:   Fri Nov 4 14:22:05 2016 -0400

Mark, it seems rude to ask, sorry, but are you sure you weren't testing
a slightly different recipe? Otherwise it must be some difference in our
environment which seems less likely.